with GNATCOM.Dispinterface;

package MSHTML.IHTMLObjectElement5_Interface is

   type IHTMLObjectElement5_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLObjectElement5_Type);

   function Pointer (This : IHTMLObjectElement5_Type)
     return Pointer_To_IHTMLObjectElement5;

   procedure Attach (This    : in out IHTMLObjectElement5_Type;
                     Pointer : in     Pointer_To_IHTMLObjectElement5);

   procedure Put_object
     (This : IHTMLObjectElement5_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_object
     (This : IHTMLObjectElement5_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLObjectElement5_Interface;

